2018-04-21 12:55 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002587NetSurf[All Projects] Generalpublic2018-04-21 10:16
ReporterRon Scheckelhoff 
Assigned To 
SeveritytextReproducibilityalways 
StatusclosedResolutionunable to reproduce 
Product Version 
Target VersionFixed in Version 
Summary0002587: On some sites (forums.raspberrypi.org as example) - acessing an SVG file blocks/stops browser
DescriptionAs per log snippet (below) the SVG access hangs Netsurf:

(23.508572) content/fetchers/curl.c:848 fetch_curl_process_headers: HTTP status code 200
(23.508727) content/fetchers/curl.c:1024 fetch_curl_done: done https://www.raspberrypi.org/forums/styles/rpi/theme/images/forum_read.svg
(23.508779) content/fetchers/curl.c:777 fetch_curl_stop: fetch 0x113c700, url 'https://www.raspberrypi.org/forums/styles/rpi/theme/images/forum_read.svg'
(23.509050) content/content.c:76 content__init: url https://www.raspberrypi.org/forums/styles/rpi/theme/images/forum_read.svg -> 0x10e2ce8
(23.509208) content/content.c:656 content_add_user: content https://www.raspberrypi.org/forums/styles/rpi/theme/images/forum_read.svg (0x10e2ce8), user 0x11d328 0x10f1540
(23.509271) content/content.c:275 content_convert: content https://www.raspberrypi.org/forums/styles/rpi/theme/images/forum_read.svg (0x10e2ce8)


Steps To ReproduceUse Netsurf to go to forums.raspberrypi.org
Additional InformationOS and machine arch:
uname -a:

Linux odrox4-gentoo-basic-dt 4.14.4 #1 SMP PREEMPT Fri Dec 8 22:57:06 armv7l ARMv7 Processor rev 3 (v7l) ODROID-XU4 GNU/Linux

Netsurf 3.6
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001764

Daniel Silverstone (administrator)

This is not reproducible with current Git master. We expect this was resolved when we updated our SVG renderer.

NetSurf 3.6 is old. Please consider updating to a more modern copy of the browser.

Thank you.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-11 16:03 Ron Scheckelhoff New Issue
2018-01-21 20:34 Vincent Sanders Project LibSVGTiny => NetSurf
2018-04-21 10:16 Daniel Silverstone Status new => closed
2018-04-21 10:16 Daniel Silverstone Resolution open => unable to reproduce
2018-04-21 10:16 Daniel Silverstone Note Added: 0001764
+Issue History